Package: org.codehaus.groovy.runtime

## [Java] Class MethodKey

- org.codehaus.groovy.runtime.MethodKey

- An abstract base class for a key used for comparators and Map keys to lookup a method by name and parameter types

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodKey (Class sender, String name, boolean isCallToSuper)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MethodKey` | `createCopy()` Creates an immutable copy that we can cache.
    `` | `protected int` | `createHashCode()`
    `` | `boolean` | `equals(Object that)`
    `` | `boolean` | `equals(MethodKey that)`
    `` | `String` | `getName()`
    `` | `int` | `getParameterCount()`
    `` | `Class` | `getParameterType(int index)`
    `` | `List` | `getParamterTypes()`
    `` | `int` | `hashCode()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public MethodKey(Class sender, String name, boolean isCallToSuper)

  - ### Method Detail

    - #### public MethodKey createCopy()

      Creates an immutable copy that we can cache.

    - #### protected int createHashCode()

    - #### public boolean equals(Object that)

    - #### public boolean equals(MethodKey that)

    - #### public String getName()

    - #### public int getParameterCount()

    - #### public Class getParameterType(int index)

    - #### public List getParamterTypes()

    - #### public int hashCode()

    - #### public String toString()